Bug 240129 - irc/inspircd: Update to 3.3.0
Summary: irc/inspircd: Update to 3.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://docs.inspircd.org/3/change-lo...
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2019-08-26 16:32 UTC by Dmitri Goutnik
Modified: 2019-09-01 02:30 UTC (History)
2 users (show)

See Also:
dmgk: maintainer-feedback+
koobs: merge-quarterly?


Attachments
Update to 3.3.0 (922 bytes, patch)
2019-08-26 16:32 UTC, Dmitri Goutnik
dmgk: maintainer-approval+
Details | Diff
patch file (2.41 KB, patch)
2019-08-27 13:48 UTC, Dmitri Goutnik
dmgk: maintainer-approval+
Details | Diff
Add MBEDTLS knob (1.69 KB, patch)
2019-08-28 12:55 UTC, Dmitri Goutnik
dmgk: maintainer-approval+
Details | Diff
Unbreak 2019Q3 (4.60 KB, patch)
2019-08-31 12:13 UTC, Dmitri Goutnik
no flags Details | Diff
Really unbreak 2019Q3 (3.25 KB, patch)
2019-09-01 02:07 UTC, Dmitri Goutnik
dmgk: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2019-08-26 16:32:56 UTC
Created attachment 206928 [details]
Update to 3.3.0

- Update 3.2.0 -> 3.3.0

Changelog: https://docs.inspircd.org/3/change-log/#inspircd-330

QA:
  poudriere testport: OK (113a, 120a, 120i)
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-27 12:29:02 UTC
Bugfix release, MFH
Comment 2 Dmitri Goutnik freebsd_committer 2019-08-27 13:48:31 UTC
Created attachment 206953 [details]
patch file

Add MBEDTLS knob.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-28 02:59:06 UTC
Thank you Dmitri, could you separate the MBEDTLS additions into a separate issue please, so that this bugfix release can be merged to the quarterly branch (which doesn't otherwise take feature/functional changes)
Comment 4 Dmitri Goutnik freebsd_committer 2019-08-28 12:55:48 UTC
Created attachment 206969 [details]
Add MBEDTLS knob

Add a separate patch for MBEDTLS option.
Comment 5 Yuri Victorovich freebsd_committer 2019-08-29 03:55:07 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2019-08-29 03:55:37 UTC
A commit references this bug:

Author: yuri
Date: Thu Aug 29 03:54:53 UTC 2019
New revision: 510137
URL: https://svnweb.freebsd.org/changeset/ports/510137

Log:
  irc/inspircd: Update to 3.3.0 (bugfix release); Add MBEDTLS knob

  PR:		240129
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  MFH:		2019Q3

Changes:
  head/irc/inspircd/Makefile
  head/irc/inspircd/distinfo
  head/irc/inspircd/pkg-plist
Comment 7 commit-hook freebsd_committer 2019-08-29 07:10:53 UTC
A commit references this bug:

Author: yuri
Date: Thu Aug 29 07:09:55 UTC 2019
New revision: 510148
URL: https://svnweb.freebsd.org/changeset/ports/510148

Log:
  MFH: r510137

  irc/inspircd: Update to 3.3.0 (bugfix release); Add MBEDTLS knob

  PR:		240129
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/irc/inspircd/Makefile
  branches/2019Q3/irc/inspircd/distinfo
  branches/2019Q3/irc/inspircd/pkg-plist
Comment 8 Dmitri Goutnik freebsd_committer 2019-08-31 12:13:04 UTC
Created attachment 207041 [details]
Unbreak 2019Q3

Unbreak 2019Q3:

===>  Patching for inspircd-3.3.0
===>  Applying FreeBSD patches for inspircd-3.3.0
1 out of 1 hunks failed--saving rejects to make/template/main.mk.rej
=> FreeBSD patch patch-make_template_main.mk failed to apply cleanly.
=> Patch(es)  patch-configure applied cleanly.
*** Error code 1
Comment 9 Yuri Victorovich freebsd_committer 2019-08-31 14:23:34 UTC
The patch is committed to 2019Q3, thanks!
Comment 10 commit-hook freebsd_committer 2019-08-31 14:23:41 UTC
A commit references this bug:

Author: yuri
Date: Sat Aug 31 14:23:26 UTC 2019
New revision: 510386
URL: https://svnweb.freebsd.org/changeset/ports/510386

Log:
  irc/inspircd: Unbreak 2019Q3 by updating to 3.3.0

  PR:		240129
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  Approved by:	portmgr (unbreak)

Changes:
  branches/2019Q3/irc/inspircd/files/patch-make_template_main.mk
  branches/2019Q3/irc/inspircd/pkg-plist
Comment 11 Dmitri Goutnik freebsd_committer 2019-09-01 02:07:13 UTC
Created attachment 207054 [details]
Really unbreak 2019Q3

Really unbreak 2019Q3.
Comment 12 commit-hook freebsd_committer 2019-09-01 02:30:32 UTC
A commit references this bug:

Author: yuri
Date: Sun Sep  1 02:29:37 UTC 2019
New revision: 510675
URL: https://svnweb.freebsd.org/changeset/ports/510675

Log:
  irc/inspircd: Reunbreak the quarterly branch

  PR:		240129
  Submitted by:	Dmitri Goutnik <dg@syrec.org> (maintainer)
  Reported by:	fallout
  Approved by:	ports-secteam

Changes:
  branches/2019Q3/irc/inspircd/files/pkg-deinstall.in
  branches/2019Q3/irc/inspircd/files/pkg-message.in
  branches/2019Q3/irc/inspircd/pkg-message